# Import project Imports a new project from an external system into Cropster. Endpoint: POST /core.project.importProject Security: oauth2 ## Request fields (application/json): - `data` (object) Defines the data required for the operation, including all mandatory and optional fields. - `data.name` (string, required) The name of the project to be imported. Must be unique. Example: "Blends 2026" - `data.description` (string) A optional description of the project. Example: "This project contains all blends for the year 2026." ## Response 200 fields (application/json): - `ok` (boolean) Indicates whether the request was successful. Example: true - `result` (object) Contains the response data of a successful request. - `result.project` (object) Projects are a way to group certain objects together - `result.project.id` (string) The unique identifier of the project Example: "550e8400-e29b-41d4-a716-446655440000" - `result.project.name` (string) The name of the project Example: "Blend Experiments 2024" - `result.project.description` (string) A description of the project Example: "This project contains all experiments for new blends in 2024" ## Response 400 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 401 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 403 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 422 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 500 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided"